Create request

Create a request.

To create a request there are some prereqisites and optional attributes.

  1. A request form is needed to create a request. This is defined as the formRef in the request. It can be queried via the Request Form API.
  2. A request can include DocCenter and WorkSpace content. This content is held in the contentRef attribute. It's data can be queried via their respective APIs.
  3. A request will also need to include custom properties which will contain the values inputted via the request form.
  4. A request can include Library content. This content is stored in the associations attribute. It's data can be queried via the Library API.
Path Params
string
required

Space ID

Body Params

The planner request data

string | null

User ID of assignee

string

Title of request

string | null

Status schema ID

string | null

Project ID the request belongs to

string | null
enum

Priority value

Allowed:
date-time | null

Planned start date

date-time | null

Planned end date

int32 | null

Planned duration in days

customProperties
array of objects | null

List of custom properties

customProperties
contentRefs
array of objects | null

List of content references (DocCenter and Workspace associations)

contentRefs
associations
array of objects | null

List of associations (Library content)

associations
formRef

Form reference object

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json